# Calculate the correlation relationshipt among all covariates in the metadata table

`degCorCov.Rd`

This function will calculate the correlation among all columns in the metadata

    degCorCov(metadata, fdr = 0.05, ...)

## Arguments

metadata | data.frame with samples metadata.
fdr | numeric value to use as cutoff to determine the minimum fdr to consider significant correlations between pcs and covariates.
... | Parameters to pass to `ComplexHeatmap::Heatmap()`.

## Value

: list: a) cor, data.frame with pair-wise correlations, pvalues, FDR b) corMat, data.frame with correlation matrix c) fdrMat, data.frame with FDR matrix b) plot, Heatmap plot of correlation matrix

## Examples

    data(humanGender)
    library(DESeq2)
    idx <- c(1:10, 75:85)
    dse <- DESeqDataSetFromMatrix(assays(humanGender)[[1]][1:1000, idx],
      colData(humanGender)[idx,], design=~group)
    cor <- degCorCov(colData(dse))#> Warning: The input is a data frame, convert it to the matrix.